import request from '@/utils/request'

// 查询家族大事件列表
export function listEvents(query) {
  return request({
    url: '/system/events/list',
    method: 'get',
    params: query
  })
}

// 查询家族大事件详细
export function getEvents(id) {
  return request({
    url: '/system/events/' + id,
    method: 'get'
  })
}

// 新增家族大事件
export function addEvents(data) {
  return request({
    url: '/system/events',
    method: 'post',
    data: data
  })
}

// 修改家族大事件
export function updateEvents(data) {
  return request({
    url: '/system/events',
    method: 'put',
    data: data
  })
}

// 删除家族大事件
export function delEvents(id) {
  return request({
    url: '/system/events/' + id,
    method: 'delete'
  })
}

// 导出家族大事件
export function exportEvents(query) {
  return request({
    url: '/system/events/export',
    method: 'get',
    params: query
  })
}